# Uses of Class
com.logicaldoc.core.generic.Generic

Packages that use Generic
Package
Description
com.logicaldoc.core.generic
Contains the definitions of `Generic` that is a persistent object used as a general way to store informations in the database
com.logicaldoc.core.security.user
Definition of the User object and ancillary objects

## Uses of Generic in com.logicaldoc.core.generic

Methods in com.logicaldoc.core.generic that return Generic
Modifier and Type
Method
Description
`Generic`
GenericDAO.`findByAlternateKey(String type, String subtype, Long qualifier, long tenantId)`
Finds a Generic by it's alternate key
`Generic`
HibernateGenericDAO.`findByAlternateKey(String type, String subtype, Long qualifier, long tenantId)`
Methods in com.logicaldoc.core.generic that return types with arguments of type Generic
Modifier and Type
Method
Description
`List<Generic>`
GenericDAO.`findByTypeAndSubtype(String type, String subtype, Long qualifier, Long tenantId)`
Finds a Generic by it's alternate key.
`List<Generic>`
HibernateGenericDAO.`findByTypeAndSubtype(String type, String subtype, Long qualifier, Long tenantId)`
Methods in com.logicaldoc.core.generic with parameters of type Generic
Modifier and Type
Method
Description
`int`
Generic.`compareTo(Generic o)`
`void`
HibernateGenericDAO.`initialize(Generic generic)`
`void`
HibernateGenericDAO.`store(Generic entity)`

## Uses of Generic in com.logicaldoc.core.security.user

Methods in com.logicaldoc.core.security.user that return types with arguments of type Generic
Modifier and Type
Method
Description
`Map<String,Generic>`
HibernateUserDAO.`findUserSettings(long userId, String namePrefix)`
`Map<String,Generic>`
UserDAO.`findUserSettings(long userId, String namePrefix)`
Retrieves the settings for a user.